
package ogloszenia.wygenerowane;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for paliwo.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="paliwo"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="benzyna"/&amp;gt;
 *     &amp;lt;enumeration value="olej"/&amp;gt;
 *     &amp;lt;enumeration value="gaz"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "paliwo")
@XmlEnum
public enum Paliwo {

    @XmlEnumValue("benzyna")
    BENZYNA("benzyna"),
    @XmlEnumValue("olej")
    OLEJ("olej"),
    @XmlEnumValue("gaz")
    GAZ("gaz");
    private final String value;

    Paliwo(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static Paliwo fromValue(String v) {
        for (Paliwo c: Paliwo.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
